%global pypi_name django-countries

Name:           python-%{pypi_name}
Version:        5.3.1
Release:        2%{?dist}
Summary:        Provides a country field for Django models

Group:          Development/Languages
License:        MIT
URL:            http://pypi.python.org/pypi/django-countries
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# submitted upstream: https://github.com/SmileyChris/django-countries/pull/235
Patch0:         fix-tests-with-new-restframework.patch

BuildArch:      noarch

%global _description\
Django application which provides country choices for use with forms, and a\
country field for models.

%description %_description

%package -n python3-django-countries
Summary:        Provides a country field for Django models - Python 3 version

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-django
BuildRequires:  python3-django-rest-framework

Requires:       python3-django

Obsoletes:      python-%{pypi_name} < 5
Obsoletes:      python2-%{pypi_name} < 5

%description -n python3-django-countries %_description

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%py3_build

%install
%py3_install

%find_lang django

pushd $RPM_BUILD_ROOT
# delete the unnecessary *.po files
find -type f -name '*.po' -exec rm {} \;
popd

%check
#pushd test_proj
# django apps are not testable without models.py file
# this is created in setup.py install, but not present in upstream source, so create it here for tests
#touch ../django_countries/models.py
PYTHONPATH=$(pwd) \
DJANGO_SETTINGS_MODULE=django_countries.tests.settings \
python3-django-admin test django_countries.tests

# ^ note that python3-django-admin should be replaced by django-admin
#   once that is Python 3, which should be soon

#popd

%files -n python3-django-countries -f django.lang
%doc LICENSE README.rst
%exclude %{python3_sitelib}/django_countries/tests
%dir %{python3_sitelib}/django_countries/
%{python3_sitelib}/django_countries/*.py
%{python3_sitelib}/django_countries/__pycache__/
# own all the locale directories
%dir %{python3_sitelib}/django_countries/locale/
%dir %{python3_sitelib}/django_countries/locale/*/
%dir %{python3_sitelib}/django_countries/locale/*/*/
%{python3_sitelib}/django_countries/static
%{python3_sitelib}/django_countries/templatetags
%{python3_sitelib}/*.egg-info

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jul 11 2018 Slavek Kabrda <bkabrda@redhat.com> - 5.3.1-1
- Update to 5.3.1
- Add patch to fix tests with new djangorestframework

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 5.0-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 16 2018 Miro Hrončok <mhroncok@redhat.com> - 5.0-1
- Updated to 5.0, remove upstream merged patch
- Removed Python 2 subpackage for https://fedoraproject.org/wiki/Changes/Django20

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.0-4
- Python 2 binary package renamed to python2-django-countries
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 12 2017 Adam Williamson <awilliam@redhat.com> - 4.0.0-1
- Update to 4.0.0 (Django 1.10 compatible)
- Backport fix for a test failure

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com>
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.1-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 13 2015 Slavek Kabrda <bkabrda@redhat.com> - 3.4.1-1
- Update to version 3.4.1
- Introduce python3 subpackage

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 09 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 2.1.2-1
- Update to version 2.1.2

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 20 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.3-1
- Update to version 1.3.
- Avoid the /usr/bin/env dependency.

* Tue Aug 14 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.2-2
- Add proper Provides and Obsoletes tags.

* Mon Aug 13 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.2-1
- Renamed to python-django-countries.
- Updated to latest upstream.
- Introduced %%check section.
- Handle locale files.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 12 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 1.0.5-3
- Use macros more.  Drop defattr

* Sun May 08 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 1.0.5-2
- Remove empty file

* Thu Apr 14 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 1.0.5-1
- initial spec
